from terra.core.manager import Manager
from terra.core.task import Task
from terra.core.model import ModelFolder, Model

urls = ("http://ftp.osuosl.org/pub/konqcast/002_matthias_kretz_phonon.mp3",
        "http://ftp.osuosl.org/pub/konqcast/003_akonadi.mp3")


manager = Manager()

PluginDefaultIcon = manager.get_class("Icon/Plugin")
class Icon(PluginDefaultIcon):
    terra_type = "Icon/Folder/Task/Audio/URLBookmark"
    icon = "icon/main_item/music"
    plugin = "urlbookmark"


class Folder(ModelFolder, Task):
    terra_type = "Model/Folder/Task/Audio/URLBookmark"
    terra_task_type = "Task/Folder/Task/Audio/URLBookmark"

    def __init__(self, parent):
        Task.__init__(self)
        ModelFolder.__init__(self, "URLBookmark", parent)

    def do_load(self):
        for u in urls:
            URLBookmark(u, self)


AudioModel = manager.get_class("Model/Media/Audio")
class URLBookmark(AudioModel):
    terra_type = "Model/Media/Audio/URLBookmark"

    def __init__(self, url, parent):
        AudioModel.__init__(self, url, parent)
        self.title = url
        self.uri = url
